<!--
    For cXML license agreement information, please see
    http://www.cxml.org/home/license.asp

    $Id: //ariba/cxml/release/schema/1.2.61.1+/Modules/CatalogUpload.mod#1 $
-->

<!--
    Contain all the information related to the catalog upload, the same
    functionality as the catalog upload provided by supplier.ariba.com
-->
<!ELEMENT CatalogUploadRequest (CatalogName, Description, Attachment,
                                Commodities?, AutoPublish?, Notification)>
<!--
	@attr operation Specifies the type of upload to perform. Possible values:
		<ul>
		<li>new - Uploads a new catalog. A catalog with the same name must not exist.</li>
		<li>update - Overwrites an exiting catalog. A catalog with the same name must exist.</li>
		</ul>
-->
<!ATTLIST CatalogUploadRequest
    operation  (new | update)  #REQUIRED
>

<!--
    CatalogName is the name of the uploaded/published catalog. The
    name is unique per supplier, and it can be defined in the
    different languages
-->
<!ELEMENT CatalogName ( #PCDATA )> <!-- string -->
<!--
	@attr xml:lang Specifies the language or locale used for the catalog name.
-->
<!ATTLIST CatalogName
    xml:lang  %xmlLangCode;  #REQUIRED
>

<!--
    The list of the commodity codes.
-->
<!ELEMENT Commodities (CommodityCode+)>

<!--
    The two-digit code
-->
<!ELEMENT CommodityCode ( #PCDATA )> <!-- string -->

<!--
    AutoPublishAutoPublish automatically publishes the catalog to buyers after upload.
	
	You can automatically publish only if both of the following requirements are met:
	<ol>
	<li>A previous version of the catalog exists in your account and you are performing an update operation.</li>
	<li>The previous version is in the "published" state. It must have been published private (with a list 
		of buyers) or public.</li>
	</ol>
-->
<!ELEMENT AutoPublish EMPTY>
<!--
	@attr enabled Specifies whether to automatically publish the catalog. Possible values:
		<ul>
		<li>true - Publishes the catalog. It must be an update to a previously published catalog.</li>
		<li>false - Does not publish the catalog. You can log on to your account and manually publish the catalog.</li>
		</ul>
-->
<!ATTLIST AutoPublish
    enabled       %string;       #REQUIRED
>

<!--
    The information used by the network hub to send the notification (the
    status of the catalog upload) to the suppliers.
-->
<!ELEMENT Notification (Email?, URLPost?)>

<!--
    The URL to receive the StatusUpdateRequest, which describes the
    status of the catalog upload, such as "success" (meaning the
    catalog is validated or published) or "failed" (meaning the 
	catalog has errors).
-->
<!ELEMENT URLPost EMPTY>
<!--
	@attr enabled Specifies whether the network sends catalog-status notifications through StatusUpdateRequest. Possible values:
		<ul>
		<li>true - Enables the feature.</li>
		<li>false - Disables the feature.</li>
		</ul>
-->
<!ATTLIST URLPost
    enabled       %string;       #REQUIRED
>
