<!--
    For cXML license agreement information, please see
    http://www.cxml.org/home/license.asp

    $Id: //ariba/cxml/release/schema/1.2.61.1+/Modules/Profile.mod#1 $
-->

<!--
    Request for the latest profile from the server. May also be used as
    a 'ping' transaction (to check if the server is available).
-->
<!ELEMENT ProfileRequest EMPTY >

<!--
    Static profile response describing the transactions supported by this
    server. The content should not change frequently.
-->
<!ELEMENT ProfileResponse ( Option*, Transaction+ )>
<!--
    @attr effectiveDate When these services were first available. Should not be in the
		future since new clients may need to interact with a server.

    @attr lastRefresh When service information was last received from the end server.

    @attr a-dtype Datatype enumeration for the attributes of this element. May be
		ignored by most XML parsers (used for documentation purposes).
-->
<!ATTLIST ProfileResponse
    effectiveDate %datetime.tz; #REQUIRED
    lastRefresh %datetime.tz; #IMPLIED
    a-dtype NMTOKENS #FIXED 'effectiveDate dateTime.tz
                             lastRefresh dateTime.tz'
>

<!--
    Value for a defined option (either for the overall service or a
    specific transaction. At this time, no options are defined at either
    level.
-->
<!ELEMENT Option ( #PCDATA )>   <!-- string -->
<!--
    @attr name The name of this option. Future versions of cXML will define
		values for this attribute. This is not intended to be viewed
		directly (the profile is intended mostly for machine consumption).

    @attr a-dtype Datatype enumeration for the attributes of this element. May be
		ignored by most XML parsers (used for documentation purposes).
-->
<!ATTLIST Option
    name          %string;      #REQUIRED
    a-dtype       NMTOKENS      #FIXED 'name string'
>

<!--
    A transaction supported by this server.
-->
<!ELEMENT Transaction ( URL, Option* )>
<!--
    @attr requestName A specific request this server accepts at the given URL. Possible values:
		ProfileRequest | OrderRequest | MasterAgreementRequest| PurchaseRequisitionRequest |
		PunchOutSetupRequest | ProviderSetupRequest | StatusUpdateRequest | GetPendingRequest |
		SubscriptionListRequest | SubscriptionContentRequest | SupplierListRequest |
		SupplierDataRequest | SubscriptionStatusUpdateRequest | CopyRequest |
		CatalogUploadRequest | AuthRequest | DataRequest | OrganizationDataRequest | 
		ApprovalRequest | QualityNotificationRequest | QualityInspectionRequest |
		QualityInspectionResultRequest | QualityInspectionDecisionRequest.

		Note: Request names in the base cXML protocol are contained in the 
		%cxml.requests entity.

    @attr a-dtype Datatype enumeration for the attributes of this element. May be
		ignored by most XML parsers (used for documentation purposes).
-->
<!ATTLIST Transaction
    requestName   %nmtoken;     #REQUIRED
    a-dtype       NMTOKENS      #FIXED 'requestName NMTOKEN'
>
